﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Records : System.Web.UI.Page
{
    int count;
    List<Record> records = new List<Record>();
    protected void Page_Load(object sender, EventArgs e)
    {
        count = Convert.ToInt16(Request["RecordCount"]);
        Random rand = new Random();
        for (int i = 0; i < count; i++)
        {
            records.Add(new Record
            {
                Id = (i + 1) * 1000,
                Name = "Name " + (i + 1),
                Amount = (rand.NextDouble() * 100000)
            });
        }
        GridView1.DataSource = records;
        GridView1.DataBind();
    }
}

public class Record
{
    public int Id { get; set; }
    public string Name { get; set; }
    public double Amount { get; set; }
}